Autore Topic: amule-adunanza problemi installazione  (Letto 1168 volte)

Offline peter46

  • *
  • Post: 116
  • Reputazione: 0
    • Mostra profilo
amule-adunanza problemi installazione
« il: 12 Novembre 2011 ore 23:48 »
questa sera mi sento sfigato.... ho provato ad installare due prg. da ccr e nessuno a buon fine ... boh!!

da terminale cerco di installare amule-adunanza ma mi dice che gli manca una dipendenza .. questo è quanto accaduto


==> Creazione del pacchetto: wxgtk 2.8.12-1 (sab 12 nov 2011, 23.34.18, CET)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Dipendenze mancanti:
  -> libgnomeprintui


[pietro@chakra-pc ~]$ sudo pacman -S libgnomeprintui
Password:
errore: il seguente pacchetto non è stato trovato: libgnomeprintui
[pietro@chakra-pc ~]$

fine installazione

ricerca dei conflitti in corso...

Pacchetti (1): libupnp-1.6.13-1

Dimensione totale dei pacchetti da scaricare:    0,00 MB
Dimensione totale dei pacchetti da installare:   0,91 MB

Vuoi procedere con l'installazione? [S/n] s
(1/1) controllo dell'integrità del pacchetto                                                           [############################################################] 100%
(1/1) controllo dei conflitti in corso                                                                 [############################################################] 100%
(1/1) installazione in corso di libupnp                                                                [############################################################] 100%
Dependencies for `amule-adnza' are not met, not building...
[root@chakra-pc ~]#


e quindi cosa è successo, dove la trovo la dipendenza??

Ciao sempre dal nuovo fans di Chakra.

Pietro


Offline enzolatina

  • *
  • Post: 609
  • Reputazione: 18
    • Mostra profilo
Re:amule-adunanza problemi installazione
« Risposta #1 il: 13 Novembre 2011 ore 02:27 »
è una libreria di gnome, siccome chakra è kdecentrica può essere che nei repo nessuno la abbia messa (e probabilmente mai la metteranno), prova a vedere se la trovi in ccr senno la scarichi da arch e provi ad installartela, sperando ti vada bene e soprattutto non si porti appresso altre dipendenze relative...
noi siamo ****linux, ogni resistenza è inutile, sarete assimilati
linuxuser:408768 http://linuxcounter.net

Offline peter46

  • *
  • Post: 116
  • Reputazione: 0
    • Mostra profilo
Re:amule-adunanza problemi installazione
« Risposta #2 il: 13 Novembre 2011 ore 08:07 »
provato ad installare la dipendendenza vedo che si porta con se una sacco di roba ma comunque alla fine mi da errore.

la mia conoscenza finisce qui perchè non ho capito cosa sia successo e cosa fare per risolvere anche se posso dire di aver già installato amule-adunana su macchina i686 ed è andato a buon fine.

help!!

Ciao Pietro

Offline enzolatina

  • *
  • Post: 609
  • Reputazione: 18
    • Mostra profilo
Re:amule-adunanza problemi installazione
« Risposta #3 il: 13 Novembre 2011 ore 11:23 »
beh....posta l'errore che ti da ora...vediamo se qualcuno riesce a darti una mano....
noi siamo ****linux, ogni resistenza è inutile, sarete assimilati
linuxuser:408768 http://linuxcounter.net

Offline peter46

  • *
  • Post: 116
  • Reputazione: 0
    • Mostra profilo
Re:amule-adunanza problemi installazione
« Risposta #4 il: 13 Novembre 2011 ore 14:17 »
ciao ecco:

Codice: [Seleziona]
CupsPlugin\" -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -pthread -I/usr/include/libgnomecups-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include      -march=x86-64 -mtune=generic -O2 -pipe  -MT gnome-print-cups-transport.lo -MD -MP -MF .deps/gnome-print-cups-transport.Tpo -c -o gnome-print-cups-transport.lo gnome-print-cups-transport.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I../../.. -I../../../libgnomeprint/gpa -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libart-2.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/freetype2 -DG_LOG_DOMAIN=\"GnomePrintCupsPlugin\" -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/libgnomecups-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -march=x86-64 -mtune=generic -O2 -pipe -MT gnome-print-cups-transport.lo -MD -MP -MF .deps/gnome-print-cups-transport.Tpo -c gnome-print-cups-transport.c  -fPIC -DPIC -o .libs/gnome-print-cups-transport.o
gnome-print-cups-transport.c:59:2: error: unknown type name ‘FILE’
gnome-print-cups-transport.c: In function ‘gp_transport_cups_open’:
gnome-print-cups-transport.c:194:18: warning: assignment makes pointer from integer without a cast [enabled by default]
gnome-print-cups-transport.c: In function ‘gp_transport_cups_write’:
gnome-print-cups-transport.c:276:13: warning: incompatible implicit declaration of built-in function ‘fwrite’ [enabled by default]
make[4]: *** [gnome-print-cups-transport.lo] Error 1
make[4]: Leaving directory `/tmp/ccrbuild-1000/libgnomeprint/libgnomeprint/src/libgnomeprint-2.18.8/libgnomeprint/modules/cups'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/ccrbuild-1000/libgnomeprint/libgnomeprint/src/libgnomeprint-2.18.8/libgnomeprint/modules'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/ccrbuild-1000/libgnomeprint/libgnomeprint/src/libgnomeprint-2.18.8/libgnomeprint'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/ccrbuild-1000/libgnomeprint/libgnomeprint/src/libgnomeprint-2.18.8'
make: *** [all] Error 2
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.
Dependencies for `libgnomeprintui' are not met, not building...
[pietro@chakra-pc ~]$

Pietro

Offline enzolatina

  • *
  • Post: 609
  • Reputazione: 18
    • Mostra profilo
Re:amule-adunanza problemi installazione
« Risposta #5 il: 13 Novembre 2011 ore 17:47 »
libgnomeprintui la hai installata da ccr? il pacchetto amule-adunanza lo installi da ccr o da sorgenti? su ccr vedo che non ci sono commenti riguardo a problemi quindi dovrebbe andar bene.....
noi siamo ****linux, ogni resistenza è inutile, sarete assimilati
linuxuser:408768 http://linuxcounter.net

Offline peter46

  • *
  • Post: 116
  • Reputazione: 0
    • Mostra profilo
Re:amule-adunanza problemi installazione
« Risposta #6 il: 13 Novembre 2011 ore 19:04 »
provato nuovamente ma ancora errore

Codice: [Seleziona]
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/ccrbuild-1000/libgnomeprint/libgnomeprint/src/libgnomeprint-2.18.8'
make: *** [all] Error 2
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.
uRL: http://chakra-linux.org/ccr/packages/li/libgnomeprintui/libgnomeprintui.tar.gz
Edit libgnomeprintui PKGBUILD with $EDITOR? [Y/n] n
==> Creazione del pacchetto: libgnomeprintui 2.18.6-1 (dom 13 nov 2011, 19.02.44, CET)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Dipendenze mancanti:
  -> libgnomeprint
==> Controllo delle dipendenze durante la compilazione in corso...
==> ERRORE: Impossibile risolvere tutte le dipendenze.
The build failed.
uRL: http://chakra-linux.org/ccr/packages/wx/wxgtk/wxgtk.tar.gz
Edit wxgtk PKGBUILD with $EDITOR? [Y/n] n
==> Creazione del pacchetto: wxgtk 2.8.12-1 (dom 13 nov 2011, 19.02.46, CET)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Dipendenze mancanti:
  -> libgnomeprintui
==> ERRORE: Impossibile risolvere tutte le dipendenze.
The build failed.
Dependencies for `amule-adnza' are not met, not building...
[pietro@chakra-pc ~]$

Ciao e grazie da Pietro, vedo cosa fare

Offline enzolatina

  • *
  • Post: 609
  • Reputazione: 18
    • Mostra profilo
Re:amule-adunanza problemi installazione
« Risposta #7 il: 13 Novembre 2011 ore 19:11 »
ti sta chiedendo di installare libgnomeprint, non so perchè non risolve in automatico le dipendenze, intalla prima quella e libgnomeprintgui non si dovrebbe lamentare....in ccr ci sono tutte e due, sia libgnomeprint che libgnomeprintgui, installale separatamente e vedi se riesci a risolvere.....se non le trova prova a cambiare mirror
noi siamo ****linux, ogni resistenza è inutile, sarete assimilati
linuxuser:408768 http://linuxcounter.net

 

Template by Homey | Sito ufficiale | Disclaimer